Subject: In case you think you're having a bad winter...
From: <[email-masked]>
Date: Thu, 24 Feb 2005 06:51:53 -0600

(Embedded image moved to file: pic03487.jpg)                               

                                                                            

                                                                            
 (Embedded image moved to file: pic29577.jpg)                               

                                                                            

                                                                            

 (Embedded image moved to file: pic14474.jpg)                               

                                                                            

                                                                            

 (Embedded image moved to file: pic02625.jpg)                               

                                                                            

 (Embedded image moved to file: pic25627.jpg)                               

                                                                            

 (Embedded image moved to file: pic05629.jpg)                               

                                                                            

                                                                            

 (Embedded image moved to file: pic31928.jpg)